export declare function flattenMenuObj<T>(obj: any): any;
export declare function flatten<T>(array: (T | T[])[]): T[];
export declare function compact<T>(array: (T | null | undefined | false | '' | 0)[]): T[];
export declare function isEqual<T>(a: T, b: T): boolean;
export declare function tryCatchPromise<T>(f: () => T | Promise<T>): Promise<T>;
